---
layout: ""
page_title: "Provider: eventline"
description: "The eventline provider allows you to interact with the eventline API."
---

# Eventline Provider

The [Eventline](https://www.exograd.com/products/eventline/) provider is used to interact with the resources supported by Eventline. The provider needs to be configured with the proper credentials before it can be used. It requires terraform 1.0 or later.

Use the navigation to the left to read about the available resources.

## Example Usage

```terraform
terraform {
  required_providers {
    eventline = {
      source = "adyxax/eventline"
    }
  }
}

provider "eventline" {
  api_key  = var.eventline_api_key
  endpoint = "http://localhost:8085/"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `api_key` (String, Sensitive) Eventline's api key
- `endpoint` (String) Eventline's HTTP endpoint
